* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: system-ui, sans-serif;
}
body {
  background-image: url("../images/background_img.png");
  background-repeat: no-repeat;
  background-size: inherit;
  background-position: top center;
  width: 100%;
  place-items: center;
}
#title {
  width: min(100% - 20px, 500px);
}
#title2 {
  width: min(100% - 20px, 800px);
}
#logo {
  max-width: 500px;
}
.float {
  z-index: 1;
  position: fixed;
}
#r1 {
  top: 30%;
  right: 0;
  transform: translateY(-50%);
}
#l1 {
  top: 40%;
  left: 0;
  transform: translateY(-50%);
}
#r2 {
  bottom: 0;
  right: 0;
  height: -webkit-fill-available;
}
#mr2{
  display: none;
}

#l2 {
  height: -webkit-fill-available;
  bottom: 0;
  left: 0;
}
main {
  text-align: center;
  position: relative;
  width: min(100% - 15px, 1000px);
  margin-inline: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0rem;
  flex-direction: column;
  z-index: 2;
}
.wrapper {
  border-radius: 3px;
  background: rgba(255, 255, 255, 0.6);
  margin-bottom: 1rem;
  display: flex;
  width: 100%;
}
.left {
  width: 20%;
  display: grid;
  place-items: center;
}
.left img {
  width: 100%;
  padding: 5px 10px;
}

.right {
  width: 80%;
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 1rem;
}
.circle_img {
  /* width: 100px; */
  width: min(100% - 5px, 100px);
}
.groups {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}
.groups a {
  display: flex;
  gap: 0.5rem;
  align-items: center;
  text-decoration: none;
  font-size: 1rem;
  text-wrap: nowrap;
  font-weight: bold;
  background-color: #fff;
  padding: 0.3rem 0.8rem;
  border-radius: 0.5rem;
}
.groups a img {
  width: min(100% - 5px, 50px);
}
.g-1 a {
  color: #1c5cf2;
}
.g-2 a {
  color: #000;
}
.g-3 a {
  color: #f3ba2d;
}
.g-4 a {
  color: #f3ba2d;
}
.wrapper4 {
  background-color: transparent !important;
  border: none !important;
}
.links {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  gap: 2rem;
}
.links a img {
  width: 100%;
}
.model {
  display: none;
}


.wrapper2 .right {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(80px, 1fr));
  column-gap: 10px;
  row-gap: 0px;
  max-width: 100%;
  padding: .5rem 2rem;
}

.wrapper3 .right {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(75px, 1fr));
  column-gap: 40px;
  row-gap: 0px;
  max-width: 100%;
  padding: 5px 2rem;
}

.wrapper3 .right .link_img img{
  max-width: 65px;
}

.right .block {
}
.right .block a {
  display: flex;
  gap: 0.5rem;
  align-items: center;
  text-decoration: none;
  font-size: 1rem;
  text-wrap: nowrap;
  font-weight: bold;
  padding: 0.3rem 0.8rem;
  border-radius: 0.5rem;
}

.right .block a img {
    max-width: 78px;
}

.wrapper2 .left img.mobile{
  display: none;
}


#mtl{
  display: none;
  top: 0;
  left: 0;
}

#mtr{
  display: none;
  top: 0;
  right: 0;
}


@media screen and (max-width: 982px) {
  #logo{
    max-width: 40%;
  }

  .wrapper2 .right{
    grid-template-columns: repeat(auto-fill, minmax(70px, 1fr));
  }

  .wrapper2 .right .block a img{
    width: 70px;
  }

  .wrapper3 .right{
    grid-template-columns: repeat(auto-fill, minmax(70px, 1fr));
  }
  
  #l2{
    display: none !important;
  }

  #r2{
    display: none !important;
  }

  #mr2{
    display: block;
    bottom: 0;
    right: 0;
    height: 30%;
  }

  body{
    background-color: #000;
  }

  .wrapper4 .links{
    display: block;
    padding: 10px;
  }
  
  .wrapper4 .links a{
    margin-bottom: 5px;
    width: 50%;
    display: block;
  }

  
#mtl{
  display: block;
  width: 17%;
}

#mtr{
  display: block;
  width: 30%;
}
}

@media screen and (max-width: 906px) {
  .wrapper2 .right{
    grid-template-columns: repeat(auto-fill, minmax(65px, 1fr));
  }

  .wrapper2 .right .block a img{
    width: 55px;
  }

  .wrapper3 .right{
    grid-template-columns: repeat(auto-fill, minmax(65px, 1fr));
  }
  
  #l2{
    display: none !important;
  }

  #r2{
    display: none !important;
  }

  #mr2{
    display: block;
    bottom: 0;
    right: 0;
    height: 30%;
  }

  body{
    background-color: #1e192d;
  }

  .wrapper4 .links{
    display: block;
    padding: 10px;
  }
  
  .wrapper4 .links a{
    margin-bottom: 5px;
    width: 50%;
    display: block;
  }
}


@media screen and (max-width: 832px) {
  .wrapper2 .right{
    grid-template-columns: repeat(auto-fill, minmax(60px, 1fr));
  }

  .wrapper2 .right .block a img{
    width: 60px;
  }

  .wrapper3 .right{
    grid-template-columns: repeat(auto-fill, minmax(60px, 1fr));
  }
}

@media screen and (max-width: 782px) {
  .wrapper2 .right{
    grid-template-columns: repeat(auto-fill, minmax(50px, 1fr));
  }

  .wrapper2 .right .block a img{
    width: 50px;
  }

  .wrapper3 .right{
    grid-template-columns: repeat(auto-fill, minmax(50px, 1fr));
  }
}

@media screen and (max-width: 719px) {
  .wrapper3 .right {
    grid-template-columns: repeat(auto-fill, minmax(40px, 1fr));
  }
}

@media screen and (max-width: 682px) {
  
  .wrapper2 .left img{
    display: none;
  }
  .wrapper2 .left img.mobile{
    display: block;
  }

  .wrapper2 .right{
    grid-template-columns: repeat(auto-fill, minmax(65px, 1fr));
    padding: 10px 5px;
  }

  .wrapper2 .right .block a img{
    width: 65px;
  }

  .wrapper2 .right .block a{
    padding: 0;
  }

  .wrapper3 .right{
    padding: 5px 5px;
    grid-template-columns: repeat(auto-fill, minmax(62px, 1fr));
    column-gap: 5px;
  }

  .wrapper3 .right .link_img img {
    max-width: 55px;
  }
  
  .left{
    width: 30% !important;
  }

  .right{
    width: 70% !important;
  }
}

@media screen and (max-width: 596px) {
  .wrapper2 .right{
    grid-template-columns: repeat(auto-fill, minmax(72px, 1fr));
  }
  .wrapper2 .right .block a img{
    width: 70px;
  }
  .wrapper3 .right{
    grid-template-columns: repeat(auto-fill, minmax(54px, 1fr));
  }
}

@media screen and (max-width: 536px) {

  .wrapper3 .right{
    padding: 5px 5px;
    grid-template-columns: repeat(auto-fill, minmax(50px, 1fr));
    column-gap: 5px;
  }

}


@media screen and (max-width: 529px) {
  .wrapper2 .right{
    grid-template-columns: repeat(auto-fill, minmax(65px, 1fr));
  }
}


@media screen and (max-width: 500px) {
  #logo {
    max-width: 260px;
  }

  .wrapper2 .left img{
    display: none;
  }
  .wrapper2 .left img.mobile{
    display: block;
  }
  .wrapper2 .right {
    grid-template-columns: repeat(auto-fill, minmax(70px, 1fr));
    column-gap: 5px;
    padding: 10px 0px;
  }

  .wrapper2 .right .block a img{
    width: 55px;
  }
  
  .wrapper3 .right {
    grid-template-columns: repeat(auto-fill, minmax(45px, 1fr));
    column-gap: 5px;
    padding: 5px 10px;
  }

  .wrapper3 .right .link_img img{
    max-width: 45px;
  }

  .wrapper4 .links{
    display: block;
    padding: 10px;
  }
  
  .wrapper4 .links a{
    margin-bottom: 5px;
    width: 50%;
    display: block;
  }
  

  .left{
    width: 30% !important;
  }

  .right{
    width: 70% !important;
  }
  
  .right .block a img{
    width: 70px;
  }

  .right .block a{
    padding: 0;
    display: block;
  }

  #l2{
    display: none !important;
  }

  #r2{
    display: none !important;
  }

  #mr2{
    display: block;
    bottom: 0;
    right: 0;
    height: 30%;
  }

  body{
    background-color: #000;
  }
  
}


@media screen and (max-width: 437px) {
  .wrapper2 .right {
    grid-template-columns: repeat(auto-fill, minmax(55px, 1fr));
    column-gap: 5px;
    padding: 10px 0px;
  }

  .wrapper2 .right .block a img{
    width: 44px;
  }
  
  .wrapper3 .right {
    grid-template-columns: repeat(auto-fill, minmax(35px, 1fr));
    column-gap: 5px;
    padding: 5px 10px;
  }

  .wrapper3 .right .link_img img{
    max-width: 38px;
  }

  #mr2{
    height: 32%;
  }

}


@media screen and (max-width: 375px) {
  .wrapper2 .right {
    grid-template-columns: repeat(auto-fill, minmax(54px, 1fr));
    column-gap: 5px;
    padding: 10px 0px;
  }

  .wrapper2 .right .block a img{
    width: 35px;
  }
  
  .wrapper3 .right {
    grid-template-columns: repeat(auto-fill, minmax(30px, 1fr));
    column-gap: 5px;
    padding: 5px 10px;
  }

  .wrapper3 .right .link_img img{
    max-width: 34px;
  }

  #mr2{
    height: 33%;
  }

}


@media screen and (max-width: 360px) {
  .wrapper2 .right {
    grid-template-columns: repeat(auto-fill, minmax(54px, 1fr));
    column-gap: 5px;
    padding: 10px 0px;
  }

  .wrapper2 .right .block a img{
    width: 35px;
  }
  
  .wrapper3 .right {
    grid-template-columns: repeat(auto-fill, minmax(30px, 1fr));
    column-gap: 5px;
    padding: 5px 10px;
  }

  .wrapper3 .right .link_img img{
    max-width: 34px;
  }

  #mr2{
    height: 27%;
  }

}